ResourceException (Gradle API 8.11)

Package org.gradle.api.resources

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.resources.ResourceException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `MissingResourceException`

      public class ResourceException
      extends GradleException

  Generic resource exception that all other resource-related exceptions inherit from.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceException()` |
    `ResourceException​(java.lang.String message)` |
    `ResourceException​(java.lang.String message, java.lang.Throwable cause)` |
    `ResourceException​(java.net.URI location, java.lang.String message)` |
    `ResourceException​(java.net.URI location, java.lang.String message, java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URI` | `getLocation()` | Returns the location of the resource, if known.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

    - #### ResourceException

          public ResourceException​(java.lang.String message)

    - #### ResourceException

          public ResourceException​(java.lang.String message,
                                   java.lang.Throwable cause)

    - #### ResourceException

          public ResourceException​(java.net.URI location,
                                   java.lang.String message)

    - #### ResourceException

          public ResourceException​(java.net.URI location,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

  - ### Method Detail

    - #### getLocation

          @Nullable
          public java.net.URI getLocation()

      Returns the location of the resource, if known.
      Returns:
        The location, or null if not known.